local result
local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)

  celeste.Audio.SetMusicParam("fade", 0)
  disableMovement()
  makeUnskippable()
  disableRetry()
  wait(1)
  say("DonkSolaris_FGR_Jash_Intro")
result = choice("DonkSolaris_FGR_Jash_1A", "DonkSolaris_FGR_Jash_1B", "DonkSolaris_FGR_Jash_1C", "DonkSolaris_FGR_Jash_1D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
	playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_1")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue1")



result = choice("DonkSolaris_FGR_Jash_2A", "DonkSolaris_FGR_Jash_2B", "DonkSolaris_FGR_Jash_2C", "DonkSolaris_FGR_Jash_2D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
	playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_2")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue2")



result = choice("DonkSolaris_FGR_Jash_3A", "DonkSolaris_FGR_Jash_3B", "DonkSolaris_FGR_Jash_3C", "DonkSolaris_FGR_Jash_3D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
         say("DonkSolaris_FCG_IThinkThatsRight")
      else
         playSound("event:/Donk_BugFixes/donk_sfxBugFix")
         setFlag("donkSolaris_FGR_QuestionRightYay", true)
         say("DonkSolaris_FCG_ThatsRight_3")

     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue3")




result = choice("DonkSolaris_FGR_Jash_4A", "DonkSolaris_FGR_Jash_4B", "DonkSolaris_FGR_Jash_4C", "DonkSolaris_FGR_Jash_4D")
      if result == 1 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_4")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue4")



result = choice("DonkSolaris_FGR_Jash_5A", "DonkSolaris_FGR_Jash_5B", "DonkSolaris_FGR_Jash_5C", "DonkSolaris_FGR_Jash_5D")
      if result == 1 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_5")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue5")



result = choice("DonkSolaris_FGR_Jash_6A", "DonkSolaris_FGR_Jash_6B", "DonkSolaris_FGR_Jash_6C", "DonkSolaris_FGR_Jash_6D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_6")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue6")




result = choice("DonkSolaris_FGR_Jash_7A", "DonkSolaris_FGR_Jash_7B", "DonkSolaris_FGR_Jash_7C", "DonkSolaris_FGR_Jash_7D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_7")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue7")


result = choice("DonkSolaris_FGR_Jash_8A", "DonkSolaris_FGR_Jash_8B", "DonkSolaris_FGR_Jash_8C", "DonkSolaris_FGR_Jash_8D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_8")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue8")




result = choice("DonkSolaris_FGR_Jash_9A", "DonkSolaris_FGR_Jash_9B", "DonkSolaris_FGR_Jash_9C", "DonkSolaris_FGR_Jash_9D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_9")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue9")



result = choice("DonkSolaris_FGR_Jash_10A", "DonkSolaris_FGR_Jash_10B", "DonkSolaris_FGR_Jash_10C", "DonkSolaris_FGR_Jash_10D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_10")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue10")



result = choice("DonkSolaris_FGR_Jash_11A", "DonkSolaris_FGR_Jash_11B", "DonkSolaris_FGR_Jash_11C", "DonkSolaris_FGR_Jash_11D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_11")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue11")




result = choice("DonkSolaris_FGR_Jash_12A", "DonkSolaris_FGR_Jash_12B", "DonkSolaris_FGR_Jash_12C", "DonkSolaris_FGR_Jash_12D")
      if result == 1 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_12")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue12")


result = choice("DonkSolaris_FGR_Jash_13A", "DonkSolaris_FGR_Jash_13B", "DonkSolaris_FGR_Jash_13C", "DonkSolaris_FGR_Jash_13D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_13")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue13")



result = choice("DonkSolaris_FGR_Jash_14A", "DonkSolaris_FGR_Jash_14B", "DonkSolaris_FGR_Jash_14C", "DonkSolaris_FGR_Jash_14D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_14")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue14")


result = choice("DonkSolaris_FGR_Jash_15A", "DonkSolaris_FGR_Jash_15B", "DonkSolaris_FGR_Jash_15C", "DonkSolaris_FGR_Jash_15D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_15")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue15")


result = choice("DonkSolaris_FGR_Jash_16A", "DonkSolaris_FGR_Jash_16B", "DonkSolaris_FGR_Jash_16C", "DonkSolaris_FGR_Jash_16D")
      if result == 1 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_16")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue16")



result = choice("DonkSolaris_FGR_Jash_17A", "DonkSolaris_FGR_Jash_17B", "DonkSolaris_FGR_Jash_17C", "DonkSolaris_FGR_Jash_17D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_17")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue17")


result = choice("DonkSolaris_FGR_Jash_18A", "DonkSolaris_FGR_Jash_18B", "DonkSolaris_FGR_Jash_18C", "DonkSolaris_FGR_Jash_18D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_18")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue18")


result = choice("DonkSolaris_FGR_Jash_19A", "DonkSolaris_FGR_Jash_19B", "DonkSolaris_FGR_Jash_19C", "DonkSolaris_FGR_Jash_19D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_19")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue19")


result = choice("DonkSolaris_FGR_Jash_20A", "DonkSolaris_FGR_Jash_20B", "DonkSolaris_FGR_Jash_20C", "DonkSolaris_FGR_Jash_20D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_20")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue20")



result = choice("DonkSolaris_FGR_Jash_21A", "DonkSolaris_FGR_Jash_21B", "DonkSolaris_FGR_Jash_21C", "DonkSolaris_FGR_Jash_21D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
	playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_21")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue21")


result = choice("DonkSolaris_FGR_Jash_22A", "DonkSolaris_FGR_Jash_22B", "DonkSolaris_FGR_Jash_22C", "DonkSolaris_FGR_Jash_22D")
      if result == 1 then
	playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_22")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue22")



result = choice("DonkSolaris_FGR_Jash_23A", "DonkSolaris_FGR_Jash_23B", "DonkSolaris_FGR_Jash_23C", "DonkSolaris_FGR_Jash_23D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
	playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_23")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue23")


result = choice("DonkSolaris_FGR_Jash_24A", "DonkSolaris_FGR_Jash_24B", "DonkSolaris_FGR_Jash_24C", "DonkSolaris_FGR_Jash_24D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_24")
      elseif result == 3 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue24")

result = choice("DonkSolaris_FGR_Jash_25A", "DonkSolaris_FGR_Jash_25B", "DonkSolaris_FGR_Jash_25C", "DonkSolaris_FGR_Jash_25D")
      if result == 1 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 2 then
        say("DonkSolaris_FCG_IThinkThatsRight")
      elseif result == 3 then
	playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_25")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Segue25")


result = choice("DonkSolaris_FGR_Jash_26A", "DonkSolaris_FGR_Jash_26B")
      if result == 1 then
        playSound("event:/Donk_BugFixes/donk_sfxBugFix")
        setFlag("donkSolaris_FGR_QuestionRightYay", true)
        say("DonkSolaris_FCG_ThatsRight_26")
      else
        say("DonkSolaris_FCG_IThinkThatsRight")
     end
  setFlag("donkSolaris_FGR_QuestionRightYay", false)

say("DonkSolaris_FGR_Jash_Ending")


  player.ForceCameraUpdate = true
  wait(0.5)

end

function onEnd(room, wasSkipped)
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
    if wasSkipped then
    player.DummyAutoAnimate = true
    player.ForceCameraUpdate = true
    enableMovement()
    end
end